## org.eclipse.datatools.modelbase.derby
Interface Synonym

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, Table

    public interface Synonym

extends Table, SQLObject

A representation of the model object 'Synonym'.

The following features are supported:

- `Table`

See Also:
  `DerbyModelPackage.getSynonym()`

Method Summary
`Table` `getTable()` Returns the value of the 'Table' reference.
`void` `setTable(Table value)` Sets the value of the '`Table`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getColumns, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTable

    Table getTable()

  Returns the value of the 'Table' reference.

  If the meaning of the 'Table' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table' reference.
  See Also:
    `setTable(Table)`, `DerbyModelPackage.getSynonym_Table()`

### setTable

    void setTable(Table value)

  Sets the value of the '`Table`' reference.

  Parameters:
    `value` - the new value of the 'Table' reference.
  See Also:
    `getTable()`